
#ifndef __MUSITORIUS_CLIENT_FACTORY_H__
#define __MUSITORIUS_CLIENT_FACTORY_H__

#include"Client.h"

class ClientFactory
{
public:
  ClientFactory(ClientCallback& callback)
    : m_callback(callback) {}

  auto_ptr<Client> createNewClient(int fd) const
  {
    return auto_ptr<Client>(new Client(m_callback, fd));
  }

private:
  ClientCallback& m_callback;
}; //class ClientFactory;

#endif //__MUSITORIUS_CLIENT_FACTORY_H__;
