
#ifndef __MUSITORIUS_ABSTRACT_PLAYER_OUTPUT_H__
#define __MUSITORIUS_ABSTRACT_PLAYER_OUTPUT_H__

class AbstractPlayerOutput
{
public:
  virtual ~AbstractPlayerOutput() {}

  virtual int getOutputFd() const = 0;
  virtual int getErrorFd() const = 0;
  virtual void readOutputData() = 0;
  virtual void readErrorData() = 0;
}; //class AbstractPlayerOutput;

#endif //__MUSITORIUS_ABSTRACT_PLAYER_OUTPUT_H__;
