

#ifndef __MUSITORIUS_TASK_H__
#define __MUSITORIUS_TASK_H__

typedef size_t TaskItemId;
#define BAD_TASK_ITEM_ID (TaskItemId)-1

class Task
{
public:
  Task() {}
  virtual ~Task() {}

  void initAsFileNames(const StringList& fileNames);
    void clear();
  bool empty() const;
  size_t getItemCount() const;
  std::string itemFileName(TaskItemId taskItemId) const;
  bool hasTaskItem(TaskItemId taskItemId) const;
  TaskItemId startingItemId() const;
  TaskItemId nextTaskItemId(TaskItemId taskItemId) const;
  TaskItemId prevTaskItemId(TaskItemId taskItemId) const;

private:
  StringVector m_items;
}; //class Task;

#endif //__MUSITORIUS_TASK_H__;
